Revert "[showdesktop][minimizeall] Reduce the maximum panel icon size"
ClosedPublic

Authored by ndavis on Jul 9 2019, 10:03 PM.

Details

Summary

This reverts the following commits:
fff556af1939d17453540f4388b27650359258dd
5de082c39b91f804fa6d50bfa9df9f7463d286dd
33be0f5b8b877a8a3bf99752ababf38b54d9145d

I think I did this change the wrong way. What we really need is a way to use different sizes for different panel widgets by default without making it impossible for users to configure the size.

Diff Detail

Repository
R119 Plasma Desktop
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ndavis created this revision.Jul 9 2019, 10:03 PM
Restricted Application added a project: Plasma. · View Herald TranscriptJul 9 2019, 10:03 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
ndavis requested review of this revision.Jul 9 2019, 10:03 PM
filipf added a subscriber: filipf.Jul 29 2019, 10:53 PM

I don't feel too wise regarding this, pinging Plasma in case someone has advice.

Can you give a bit more rationale?

Can you give a bit more rationale?

Some users complained about the buttons being smaller or the size not being configurable when it previously was.

davidedmundson accepted this revision.Jul 31 2019, 5:31 PM

Some users complained about the buttons being smaller or the size not being configurable when it previously was.

Whatever you change some users will always complain.
It's important not to knee-jerk react based on some comments if they go against the general trend.

Code-wise it's no worse than before your patches, so I'm happy to accept, but if you want to keep it as-is, I would support that too.

Your call.

This revision is now accepted and ready to land.Jul 31 2019, 5:31 PM

I was hesitant about making this change before I committed it, so it's not a knee jerk reaction, but I also don't think it's important for me to land this quickly. I might want to see if I can come up with the real solution.

Seems like people still complain about the patch, so I'll go ahead and land this.

This revision was automatically updated to reflect the committed changes.

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

ndavis added a comment.EditedSep 22 2019, 5:13 PM

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Yes, it is already done. Lower the panel icon size to 16 or 22 px.

I really don't like that in the Plasma 5.17 Beta you returned a colored icon, when in Plasma 5.16 you added a monochrome icon i was glad. I don't like this regression. We need to talk with Goal: Consistency and VDG about how to return and make a monochrome icon better.

I really don't like that in the Plasma 5.17 Beta you returned a colored icon, when in Plasma 5.16 you added a monochrome icon i was glad. I don't like this regression. We need to talk with Goal: Consistency and VDG about how to return and make a monochrome icon better.

I cannot even make the applets use monochrome icons from the desktop theme. Most likely, these 2 applets need to be refactored and I don't know how to do that.

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Yes, it is already done. Lower the panel icon size to 16 or 22 px.

That doesn't help the huge fraction of people who never touch the default settings though. What's especially silly IMO is that the default panel height is 36px, at which size everything with a colorful icon version gets the colorful version... but if you reduce the panel height just one tick to 34px, the icons get smaller and everything becomes monochrome and it all looks great.

I feel like we should either slightly reduce the default height of the panel to 34px, or change its icon sizing logic so that the threshold for everything turning colorful happens at some size that's greater than 36px.

KonqiDragon added a comment.EditedSep 22 2019, 6:25 PM

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Yes, it is already done. Lower the panel icon size to 16 or 22 px.

That doesn't help the huge fraction of people who never touch the default settings though. What's especially silly IMO is that the default panel height is 36px, at which size everything with a colorful icon version gets the colorful version... but if you reduce the panel height just one tick to 34px, the icons get smaller and everything becomes monochrome and it all looks great.

I feel like we should either slightly reduce the default height of the panel to 34px, or change its icon sizing logic so that the threshold for everything turning colorful happens at some size that's greater than 36px.

Why the Notifications, Volume, Network, etc. icons are monochrome, but "Show desktop" and "Minimize all" icons is hard to make a monochrome?

Colored icon of "Show desktop" and "Minimize all" is bigger that other monochrome icons.

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Yes, it is already done. Lower the panel icon size to 16 or 22 px.

That doesn't help the huge fraction of people who never touch the default settings though. What's especially silly IMO is that the default panel height is 36px, at which size everything with a colorful icon version gets the colorful version... but if you reduce the panel height just one tick to 34px, the icons get smaller and everything becomes monochrome and it all looks great.

I feel like we should either slightly reduce the default height of the panel to 34px, or change its icon sizing logic so that the threshold for everything turning colorful happens at some size that's greater than 36px.

Why the Notifications, Volume, Network, etc. icons are monochrome, but "Show desktop" and "Minimize all" icons is hard to make a monochrome?
Colored icon of "Show desktop" and "Minimize all" is bigger that other monochrome icons.

Because they're written differently ¯\_(ツ)_/¯.

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Yes, it is already done. Lower the panel icon size to 16 or 22 px.

That doesn't help the huge fraction of people who never touch the default settings though. What's especially silly IMO is that the default panel height is 36px, at which size everything with a colorful icon version gets the colorful version... but if you reduce the panel height just one tick to 34px, the icons get smaller and everything becomes monochrome and it all looks great.

I feel like we should either slightly reduce the default height of the panel to 34px, or change its icon sizing logic so that the threshold for everything turning colorful happens at some size that's greater than 36px.

Why the Notifications, Volume, Network, etc. icons are monochrome, but "Show desktop" and "Minimize all" icons is hard to make a monochrome?

Those are in the System Tray, which always shows monochrome icons. Show Desktop is a standalone widget, which has logic to switch its icon between monochrome and colorful icons depending on the size of the container that the icon is inside.

Those are in the System Tray, which always shows monochrome icons. Show Desktop is a standalone widget, which has logic to switch its icon between monochrome and colorful icons depending on the size of the container that the icon is inside.

It doesn't contain that logic in the code, it's just only capable of getting icons from the icon theme, for whatever reason. The icon theme happens to have monochrome icons at 16 & 22px and color at 32 & 64 px.

KonqiDragon added a comment.EditedSep 22 2019, 6:34 PM

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Yes, it is already done. Lower the panel icon size to 16 or 22 px.

That doesn't help the huge fraction of people who never touch the default settings though. What's especially silly IMO is that the default panel height is 36px, at which size everything with a colorful icon version gets the colorful version... but if you reduce the panel height just one tick to 34px, the icons get smaller and everything becomes monochrome and it all looks great.

I feel like we should either slightly reduce the default height of the panel to 34px, or change its icon sizing logic so that the threshold for everything turning colorful happens at some size that's greater than 36px.

Why the Notifications, Volume, Network, etc. icons are monochrome, but "Show desktop" and "Minimize all" icons is hard to make a monochrome?

Those are in the System Tray, which always shows monochrome icons. Show Desktop is a standalone widget, which has logic to switch its icon between monochrome and colorful icons depending on the size of the container that the icon is inside.

Maybe need to change the behavior of changing of the "Show desktop" and "Minimize all" icons when the panel is really big?

The big is like size of side panel in Ubuntu.

ndavis added a comment.EditedSep 22 2019, 6:48 PM

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Maybe we could add an option to force a specific icon size. It would be literally the only option in the widget, but it would do the job and we could set a monochrome icon size by default. These applets should probably still get refactored some day though.

It seems like setting specific sizes for specific widgets should be a feature of the panel editing mode though. That way people could set any size for any widget. I don't think our current way of allowing users to set the global panel icon size is very discoverable and it's quite limiting.

mart added a subscriber: mart.Oct 31 2019, 3:58 PM

Is there any way we can preserve the original goal of using a monochrome icon here for small sizes?

Maybe we could add an option to force a specific icon size. It would be literally the only option in the widget, but it would do the job and we could set a monochrome icon size by default. These applets should probably still get refactored some day though.

It seems like setting specific sizes for specific widgets should be a feature of the panel editing mode though. That way people could set any size for any widget. I don't think our current way of allowing users to set the global panel icon size is very discoverable and it's quite limiting.

I hope it doesn't come to that, add an option is a very KDE3 solution.
that icon kinda needs to be smaller when it's placed in its intended default position.
perhaps not when is somewhere else, i don't know

but this revert makes the default just appear... broken